org.apache.lucene.analysis.util

## Interface ResourceLoaderAware

- All Known Implementing Classes:
    CommonGramsFilterFactory, CommonGramsQueryFilterFactory, ConditionalTokenFilterFactory, DelimitedPayloadTokenFilterFactory, DictionaryCompoundWordTokenFilterFactory, ElisionFilterFactory, HunspellStemFilterFactory, HyphenationCompoundWordTokenFilterFactory, KeepWordFilterFactory, KeywordMarkerFilterFactory, MappingCharFilterFactory, ProtectedTermFilterFactory, SnowballPorterFilterFactory, StemmerOverrideFilterFactory, StopFilterFactory, SynonymFilterFactory, SynonymGraphFilterFactory, TypeTokenFilterFactory, WordDelimiterFilterFactory, WordDelimiterGraphFilterFactory

      public interface ResourceLoaderAware

  Interface for a component that needs to be initialized by an implementation of `ResourceLoader`.
  See Also:
    `ResourceLoader`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

- - ### Method Detail

    - #### inform

          void inform(ResourceLoader loader)
               throws IOException

      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.